1 Language
              NIC\ Command Language Summary

NIC\ was written at IRAM with the help of many former contributors to whatever
was put into written form (= program code) for the processing of data obtained
with multibeam bolometers. NIC\ reconciles a lot of good software with the
user-friendly environment of SIC\ and GREG\. As the result of a collaborative
effort we acknowledge the active participation of :

	J.Braine, D.Broguiere, R.Moreno /IRAM,
	R.Neri, A.Perrigouard, A.Sievers, H.Wiesemeyer / IRAM,
	T.Snijders, J.Wink / IRAM, P.Andre / CEA de Saclay,
	R.Lemke / ESO, C.G.T.Haslam / MPIfR, R.Zylka / MPIfR,
	and F.Motte / Observatoire de Grenoble


                 New Imaging Concept

    BASELINE        : Baseline removal 
    CHECK           : Data consistency check
    DESPIKE         : Spike removal
    FIELD           : Plot field exploitation 
    FILE            : Define input file
    FIND            : Find a selected range of scans
    FIT             : Fit an arbitrary function (only Gaussian currently)
    FLAG            : Flag a list of channels
    GET             : Load scan 
    HEADER          : Brief scan information 
    LIST            : List scan or subscan related information
    POWER           : Retrieve total power data
    SET             : Enter a value for a parameter 
    SHOW            : Display main observational parameter
    SIMULATE        : Provide simulated NMB data 
    SOLVE           : Solve for focus, pointing and skydip 
    SUPPORT         : Define supports
    VARIABLES       : Enable/disable NIC variables
    VERSION         : Display version number of NIC

    Procedures      : INPUT

1 BASELINE

        NIC\BASELINE [/BYSUBSCAN] [/CHANNEL Bolometer_channel] 
                     [/CORR Number_of_Records] [/PEN Color] 
                     [/FILE [Filename [NEW]]] 
                     [/NOISE [Number_of_Points [Beam_separation]]] 
                     [/ORDER [Order]] [/SUPPORT [Az+ [El+ [Az- [El-]]]]]
                     

    This command has diverse effects: the removal of correlated noise using 
    option /NOISE, the removal of baselines of order Order using option 
    /ORDER, and the definition of support regions which can either be defined
    interactively or using the option /SUPPORT (not supported anymore).
      A baseline correction is applied to the variable SIGNAL according to the 
    focal positions of the bolometer channels and to the slope of the signal
    outside of the polygon. The focal positions are read from the variables 
    CHAN_AZ_OFF and CHAN_EL_OFF. Baseline corrections to be applied only on 
    definite channel need option /CHANNEL. Retrieval of the fitted baseline 
    is only possible via SIC\ commands. 
      The NOISE option is currently experimental. It removes noise from the 
    variable SIGNAL (use option /CHANNEL for individual channels) according 
    to a channel to channel noise correlation matrix and to a defined sup-
    port. The correlation matrix is time dependent and is computed using a 
    sliding window whose extent in seconds is equal to the Number_of_Points 
    divided by two. The mean noise correlation coefficients are computed 
    from the variable SIGNAL and is plotted vs the separation of the beams
    if option /CORR is specified. Only records outside the support are used.
    With option /NOISE the correlated noise term is removed from the beams
    (i.e. variable SIGNAL - a single iteration is sometimes required). 
    Option /NOISE and /ORDER are mutually exclusive.
    
           /BYSUBSCAN        : fits independently subscan by subscan
           /CHANNEL          : a channel number (Default is channel 1)
           /CORR             : show mean correlation coef vs beam separation 
                               The parameter is the size (= number of records)
                               of the window over which the correlation
                               coefficients are calculated (Default = 61)
        [  /FILE     ]       : file rd/wr for polygon support (Default = read)
                               See also command SUPPORT. /SUPPORT is not
                               supported any more.
           /NOISE            : compute correlated noise with the parameter
                               as for option /CORR and remove it. In addition
                               it is possible to use only the noise computed
                               on channels up to a definite beam separation 
                               (in arcs). (Default is maximum separation)
           /ORDER            : order of polynomial (Default is 0 = const)
           /PEN              : added to option /CORR plots the result in the 
                               present box with a new pen.
        [  /SUPPORT  ]       : defines the polygon for baseline removal
                               Four optional arguments define the frame of the
                               support region. Each argument is the distance
                               in arcsecs from the map center. With no argu-
                               ments it defines a rectangular region that 
                               extends up to 12 arcsec from the edges of a 
                               double-beam map. See also command SUPPORT.
                               /SUPPORT is not supported any more.

1 CHECK

        NIC\CHECK [/REPAIR]

    Though breakdowns in data acquisition should never occur, CHECK finds out 
    whether the dataset lacks of records (of course it never retrieves any lost
    data). The command checks for consistency in time, azimuth and elevation.
    NIC flags data records which are affected by big timing problems when 
    option /REPAIR is used. 

           /REPAIR           : flags some problematic data records
    
1 DESPIKE

        NIC\DESPIKE [/FUNCTION [Filter [Parameter]]] [/XRMS Threshold] 
    	    [/WINDOW Window] [/ITERATION Number] [/CHANNEL List_of_channels]
    	    [/INTERPOLATE]	

    Remove spikes (cosmic, microphonic,...) from data stored in the two-
    dimensional variable SIGNAL. DESPIKE replaces spikes with a blanking 
    value (fixed to -99999.5) if option /INTERPOLATE is not used. Remove
    the baseline first if you wish to use /XRMS, since the RMS threshold 
    is in units of the Root-Mean-Square of SIGNAL and not of the standard 
    deviation from the mean.
    
           /FUNCTION         : available Filters are 1 (Default), 2 and 3
                                 1 = variable width (= Parameter) sin(x)/x 
                                 2 = gradient filter 
                                 3 = level cutting, no filtering
           /XRMS             : RMS threshold after filtering (Default=5)
           /WINDOW           : window in record units for RMS (Default is scan)
           /ITERATION        : number of iterations (Default = 1)
           /CHANNEL          : a list of channels (Default is all channels)
           /INTERPOLATE      : replace spikes by linear interpolation of
                               adjoining data (Default is no interpolation)
	     
1 FIELD 

        NIC\FIELD [/DECL [Delta]] [/HOUR [hour_angle]] [/SMEAR [Time]]
                  [/SIZE [Az [[El]]] [/SKEW [Azimuth]]
                  [/NMB Scan_Number Wobbler_throw Number_of_channels]
                  [/NOFRAME [Offset_RA [Offset_DEC]]]
                  [/NOISE Mean_Rms Mean_Corr]

    The command FIELD has two different actions: the /SMEAR option (see
    next paragraph) is used to compute the beam smearing on the sky, while
    any other combination of options is used to trace the field to map with
    the on-axis beam (central channel) in the case of ON-THE-FLY scans. In
    his case the /DECL option, in conjunction with /HOUR and /SIZE is used to
    fix in time (hour angle) and space (size of the field to map) the obser-
    vations. The hour angle is the time at which the central channel goes to 
    the center of the field. Option /SKEW allows to add an offset to the mean
    azimuthal position of subsequent scans. Option /NOFRAME has to be spe-
    cified to overlay several field coverages. FIELD allows to estimate the
    time (rounded to the next 5 minutes) to cover a field with the central
    channel of a multi-beam cluster. If the HEADER variables are not defined
    through the last scan (watch for pointing scans for which VAZM usually
    varies between 80 and 120 arcs/min), standard default values are taken 
    for TELESCOPE (Pico Veleta), for SINT (4 arcs) and for VAZM (4 arcs/sec). 
    An 11 arcsec wide beam is plotted in the field center and the scanning 
    direction towards positive azimuth coordinates is plotted for the first 
    subscan. An empty NMB file which can be used as input for the SIMULATE 
    command is created with the /NMB option. Currently, it produces empty 
    files for bolometer arrays with 7, 19, or 37 channels (see also command
    SIMULATE). Option /NOISE in conjunction with /NMB adds high frequency
    noise with a RMS as given by Mean_Rms and with a mean degree of correla-
    tion between adjacent pairs of channels as given by parameter Mean_Corr.

    The action of the FIELD command differs for the /SMEAR option. In this
    case it plots the beam smearing on the sky for arbitrary beam offsets 
    from the central beam and a given integration time. The thin contours 
    delimit seven shaded regions from bright to dark in steps of 10%, 20%,
    30%, 40%, 50% and 100% of the smearing in a declination vs hour angle
    diagram. That is, for beams at 45" from the central channel and a
    given integration time, the blank field identifies the regions in 
    declination and hour angle where the smearing is expected to be less 
    than 10%, or 4.5" equivalently. The two thick lines delimit the region 
    of observability: the open line which drops at the meridian identifies 
    the 20 deg elevation limit, the oval around zenith is the 80 deg ele-
    vation limit. The asymmetry of the diagram is due to the elevation de-
    pendent rotation of the multi-beam cluster on the sky. The sign of the 
    hour angles might invert depending on the number of intervening mir-
    rors in the optical path.

           /DECL             : source declination (Default is 00:00:00.0)
           /HOUR             : a valid hour angle (Default is transit)
           /NMB              : create an empty NMB format file of the map.
                                                  (Default is scan number 9999)
           /NOFRAME          : overlay other fields offsetted by an Offset_RA
                               and an Offset_DEC to be specified in arcs
                                                  (Default are zero offsets)
           /SIZE             : Azimuth and Elevation size of the field 
                                                  (Default is 200" 100")
           /SKEW             : subscan to subscan azimuthal displacement
                                                  (Default is 0 arcsec)
           /SMEAR            : specify integration time (Default is 20 min)

1 FILE

        NIC\FILE IN [Directory]Scan_Number

    Selects the input scan. Valid scan extensions are ASC and NMB (= Default).
    Scan_Numbers are in the range 0 to 9999. Logical directory assignment is
    possible via bolo_data: (e.g. SIC LOG BOLO_DATA: "/users/bolometer/data/")
    or at the level of the ~/.gag.dico file.

1 FIND

        NIC\FIND [/SCAN [Scan_first [Scan_Last]]] [/FILE [Filename]]
                 [/TYPE Scantype] [/EXTEN [ASC|NMB]] [/SOURCE Sourcename]
                 [/WAIT [Before [After]]] [/APPEND]

    Lists the scan number, the scan type and the source name of a selected
    range of scans located on the directory pointed by the logical BOLO_DATA:
    Scantype is either FOCUS, ON-OFF, ON-THE-FLY, POINTING, SKYDIP or UNKNOWN
    and can be abbreviated. In case of Scantype ON both ON-OFF and ON-THE-FLY
    scans are listed. Sourcename is a substring of the source name. Variable 
    SCAN_SEQUENCE of dimension FOUND contains the scan list. Option /WAIT is 
    required at the telescope when data reduction has to be suspended until 
    a new scan is completed. Use CTRL-C to stop finding. Note that on CTRL-C 
    variables FOUND and SCAN_SEQUENCE still contain the list of found scans.
    Use command LIST to list the scans found with the last FIND.
    
   
           /APPEND           : appends a list of scans to a previous one
           /EXTEN            : scan type, either ASC or NMB (Default is NMB)
           /FILE             : write output to filename (Default is screen)
           /SCAN             : valid range of scans (Default is all scans) 
           /SOURCE           : name of the source (Default is all sources) 
           /TYPE             : select type of scan (Default is all types)
           /WAIT             : seconds to wait before and after selection 
                                     (Default is 5 sec before, none after)

1 FIT

        NIC\FIT [/INPUT Filename] [/CHANNEL Bolometer_channel] 
          [/FUNCTION function_code [param1 ... param6]] 
          [/FILE [Filename [NEW]] [/LEVEL Percent]

    This command fits a function on a image file (*.mdb, *.ekh or *.cnv).
    By default, the input file is defined by NIC variables SCAN and TYPE.
    For double-beam maps, only circular gaussians are fitted and the wobbler
    throw, BEAMSEP, is evaluated. BEAMSEP is used by the RESTORE procedure.
    The channels offsets are computed if input file is of type mdb or ekh. 
    All results are written to the NIC variables of the section FIT. Specify
    a threshold in percent (values below and downto zero level are blanked
    for fitting) by using option /LEVEL. The fitting algorithm uses a sub-
    routine of the NAG library or, if NAG is not available, a subroutine
    of the SLATEC library. Depending on file type FIT lists:

	MDB: Channel (Col1), offset positions of the positive beam (Col2/3),
             offset positions of the negative beam (Col4/5), intensity of
             the positive and negative beams (Col6/7), gaussian circular
             width (Col8), sigma of the fit (Col9) and fit goodness (Col10).
             In NAG context, fit is good when ifail=0. In SLATEC context, 
             fit is good when info=1,2 or 3.
        
	EKH: Channel (Col1), offset positions of the beam (Col2/3), inten-
             sity (Col4), either circular width (Col5) and telescope eleva-
             tion at the position of the beam (Col6) or major, minor axis 
             and position angle of the beam (Col5/7), sigma of the fit (Col9)
             and fit goodness (Col 10).In NAG context, fit is good when 
             ifail=0. In SLATEC context, fit is good when info=1,2 or 3.

	CNV: Plane (Col1), offset positions of the source (Col2/3), inten-
             sity (Col4), either circular width (Col5) and mean telescope 
             elevation (Col6) or major, minor axis and position angle of 
             the source(Col5/7), sigma of the fit (Col8) and fit goodness 
             (Col10). In NAG context, fit is good when ifail=0. In SLATEC 
             context, fit is good when info=1,2 or 3.
        
           /INPUT            : select input file (Default is 'SCAN'.'TYPE')
           /CHANNEL          : a channel number (Default is all channels)
           /FUNCTION         : available functions are 1 and 2 (default is 1)
                                 1 = circular gaussian 
                                 2 = elliptic gaussian (only *.ekh and *.cnv)
                               param1 ... param6 can be used to set the start
                               parameters (x,y,amplitude,major,minor,angle)
                               x,y       :  the position in arcsec
                               amplitude :  the amplitude in map units
                               major     :  the major axis width in arcsec
                               minor     :  the minor axis width in arcsec
                               angle     :  the position angle in degrees
           /FILE             : define output filename (Default is Scan_number)
                               If the file is called "nic.fit" and is located 
                               on your local directory, NIC will use it (watch
                               message when it gets started) to retrieve beam 
                               parameters for different epochs. An epoch is
                               defined by FIT results obtained for two scans 
                               well separated in time.
                               scan for all scans observed later on.
           /LEVEL            : define a threshold (No Default)

1 FLAG

        NIC\FLAG [/CHANNEL List_of_channels] [/SUBSCAN List_of_subscans] 
                 [/RESET] 

    Flag a list of channels. If option /SUBSCAN is selected, flag (or reset)
    only the subscans specified. The syntax for a List_of_channels and a
    List_of_subscans allows to specify one or more ranges of subscans. FLAG 
    without options lists currently active flags.
    
           /CHANNEL          : a list of channels (Default is all channels)
                             : ex: /CHANNEL 1 7 9 flags channels 1, 7 and 9
           /SUBSCAN          : a list of subscans 
                             : ex: /SUBSCAN 6 to 9 13 flags 6, 7, 8, 9, 13
           /RESET            : reset flag (Default is all channels)
	     
1 GET

        NIC\GET [F]|[L]|[N]|[P]|[Scan_Number]

    Load a scan. GET with option F loads the first scan in the list of scans
    found with command FIND, with option L the last scan. GET N, which is
    the default, loads the next scan, with option P the previous one. GET with
    option Scan_Number loads the specified scan from the BOLO_DATA: directory.

1 HEADER

        NIC\HEADER [/FILE Filename [NEW]]

    Lists scan related information. The display output depends on the scan
    type. Complementary information can be retrieved with the SHOW command.
    HEADER provides information on source name, observing mode, scan number,
    source coordinates and epoch, throw and period of the wobbler, signal
    attenuation coefficient, date of observation and, in the case of mapping 
    observations, size of the field and skew.

           /FILE             : writes the information to disk

1 INFO

        NIC\INFO

    Informs about the history of modifications NIC has gone through since
    February 1996.

1 LIST

        NIC\LIST [/SUBSCAN]

    LIST echoes the lists of scans retrieved by the last FIND command. On 
    option /SUBSCAN it lists the subscan numbers and the corresponding start 
    times (LST, UT and the hour angle) of a single scan. Column 2 lists the 
    year and the fraction of year (day), column 3 lists the time in seconds. 
    Column 4 lists the hour angle of the source for ON-THE-FLY and ON-OFF 
    scans.

           /SUBSCAN          : lists the subscans within a scan

1 POWER

        NIC\POWER /SCAN First_scan [Last_scan]

    Use POWER to retrieve total power data from individual scans or from
    a sequence of maximum 20 scans. The command prepares variable POWER
    for read-only access with TOTPOW[1] = UT, TOTPOW[2] = EL and TOTPOW[3]
    .. TOTPOW[N] = total power data from total power channel 1 to N-2.
    
           /SCAN             : to select NMB files

1 SET

        NIC\SET Something [Value1 [Value2 [...]]]

    This command is used to set a value for a NIC parameter.

2 BEAM

        NIC\SET BEAM [Azimuth [Elevation [Gain]]] /CHANNEL Number /DEFAULT
                     
     Specify the beam for a single channel. Parameter are relative Azimuth,
     relative Elevation, and relative Gain. All parameters are with respect
     to a previously defined reference channel. Enter "=" where no modifica-
     tion is required.

           /CHANNEL          : a bolometer channel (no Default)
           /DEFAULT          : reset to default values (if available) 

2 GAIN_AMPLIFIER

        NIC\SET GAIN_AMPLIFIER [State [Attenuation]]
  
     The amplifier gain correction is applied if State is ON (Default). 
     State OFF disables the correction. Enter Attenuation, an integer
     value between 1 and 9, if variable BOLGAIN, the amplifier gain cor-
     rection is set to zero. Variable SIGNAL is scaled according to

	          SIGNAL = SIGNAL x 2^(BOLO_GAIN-1)

     State ON sets variable AMPLIFIER_FLAG to true, State OFF to false.
     To find out the gain correction use command HEADER or check the
     content of variable BOLGAIN.

2 GAIN_ELEVATION
 
        NIC\SET GAIN_ELEVATION [State [Coef1 [Coef2 [...]]]]
 
    The gain elevation corrections are computed and applied to the variable
    SIGNAL to correct for the on-axis sensitivity of the beam. For more
    details on the gain elevation curve refer to section 5.4. The mean 
    correction is written to variable MEAN_GAIN_CORR. Default State is ON. 
    State OFF disables corrections and equals GAINE_FLAG to zero. The gain 
    elevation curve is defined as a power series in elevation (deg).

             Normalized Gain = Coef0 + Coef1.El + Coef2.El^2 + ....

    Up to 8 polynomial coefficients are allowed. If not specified (and only
    if available) the default gain elevation curve will be used instead.
    We recommend to use the gain elevation correction only for ON-OFF 
    observations of on-axis objects. 
 
2 GAIN_CHANNEL
 
        NIC\SET GAIN_CHANNEL [State [Gain1 [Gain2 [...]]]]
 
    The channel gain corrections are computed and applied to the variable
    SIGNAL. Default State is ON. State OFF enables the corrections. It is pos-
    sible to specify a gain coefficient for each channel. If not specified
    (and only if available) default gain corrections will be used instead.
    State ON equals variable GAINC_FLAG to true, State OFF to false. Note
    that the SET BEAM command and the SIC\LET CHAN_GAIN command operate on 
    the same Gain coefficients. The coefficients are multiplicative factors 
    which are used to correct for differences in the instrumental response
    of the channels. As the gain of the reference channel is normally used 
    as reference (= set to unity), gains larger than one are required for 
    less sensitive channels.
 
2 JANSKY

        NIC\SET JANSKY State [Counts/Jy]
  
    A counts per Jy conversion factor is applied if State is ON. State OFF 
    disables the correction. You have to enter the conversion factor as an 
    additional argument in the command, and not by changing COUNTS_PER_JY.
    State ON sets variable JANSKY_FLAG to true, State OFF to false. The
    counts/Jy conversion factor is used to convert count rates to flux 
    densities once the amplifier gain correction (BOLGAIN) and the relative 
    channel gain corrections are activated.

2 OPACITY

        NIC\SET OPACITY [State [Opacity]]
  
    An atmospheric opacity correction is applied if State is ON (Default).
    State OFF disables the correction. The correction is computed from a 
    linear interpolation of zenith opacities derived from adjacent skydips.
    If no interpolation is possible, a constant extrapolation is done (...
    watch messages). Enter zenith opacities by hand if you have rock solid
    values. State ON sets variable OPACITY_FLAG to true, State OFF to false.
        

2 REFERENCE

        NIC\SET REFERENCE Bolometer_channel
  
    Enter a new reference channel by its logical number. Observations 
    carried out with a reference channel other than the bolometer channel
    1 (=central channel) need to be re-referenced using this command.
    Bolometer array properties remain unchanged.

1 SHOW

        NIC\SHOW

    This command is used to display NIC's main parameters. The display is
    with no claim to completeness.

1 SIMULATE

        NIC\SIMULATE /SCAN Scan_Number [UPDATE] [/INPUT File_Name]
                     [/GAUSS x y z b]

    This command is used to simulate observations taken with an N channel 
    bolometer. Scan_number is an NMB file which is used as a template (you 
    may use either a scan created via FIELD, or an "observed" one) and which 
    fixes the size of the signal array, its orientation in the sky, the 
    number of bolometer channels and the wobbler throw. The /INPUT file 
    requires an equatorial gildas image of the source. Its center is made  
    to coincide with the NMB map. Map coordinates need to be in radians. 
    Alternatively, one may use the /GAUSS option to have a Gaussian source 
    as input image. Gaussian parameters are in arcsec. Simulated observations
    overwrite the SIGNAL variable. With parameter UPDATE simulated data is
    also written down to file "Scan_Number.nmb". Use input files or Gaussian
    beams with amplitudes in the working range of the bolometers (i.e.
    counts: 100 - 100000 or mJy: 10 - 10000 depending on the unit in use).

    Example:    field /decl 57:34 /hour 3 /size 400 300 /nmb 4527 46 37
                simulate /scan 4527 /input myimage.gdf

           /SCAN             : The reference number of an NMB file (No default)
                               which needs to be on your local directory
           /INPUT            : The equatorial image (default extension: .cnv)
           /GAUSS x y z b 
                               x,y       :  gaussian position in arcsec
                               z         :  gaussian amplitude in map units
                               b         :  gaussian width in arcsec

1 SOLVE

        NIC\SOLVE [/BEAM Beam_size] [/CHANNEL Number] [/FILE Filename]
                  [/TRUNCATE Number_of_edge_pixels] [/ALL]

    Gives the main parameters of a calibration scan, such as focus offset,
    pointing offsets... for a selected channel. Pointing scans are process-
    ed by gaussian fits. Widths (FWHM) as well as offsets in azimuth and 
    elevation are in arcsecs. Intensities from pointings are either in counts
    or Jansky depending on variable COUNTS_PER_JY. Focus corrections are 
    processed by a parabolic fit and are in microns. Atmospheric opacity is
    currently provided by skydips. The opacity is written to array variable
    SKYDIP_OPACITY, the time (UT) of the skydip to SKYDIP_TIME and the sol-
    ved skydip number to NSKYDIP.The user is allowed to reset both the array
    variables SKYDIP_OPACITY and SKYDIP_TIME by setting NSKYDIP to zero.
    The mean opacity of a scan is written to SCAN_OPACITY. File "nic.sky"
    (created via option /FILE) is read once you enter NIC (watch message
    "Retrieving SKYDIPs ...") to avoid repeated solving. 

    Use option /ALL to make a 2D-map of a pointing scan and to fit a 
    double-beam to the map. Use this option to retrieve the pointing 
    parameters of the telescope (= col* and nule) i.e. whenever the
    central channel is off by more than a beam. 
  
           /ALL              : takes all channels into consideration 
           /BEAM             : fix beam size to fit POINTING scans
           /CHANNEL          : selected channel (Default is channel 1)
           /FILE             : add result to file (only for SKYDIPs)
                                                (Default is file "nic.sky")
           /TRUNCATE         : drop edge pixels when fitting POINTING scans
     
1 SUPPORT

        NIC\SUPPORT [par1 [par2 [par3 [par4]]]]
                    [/FILE [Filename [NEW]]] [/CURSOR] [/DELETE]

      A support region is required for baseline removal, for the RESTORE 
    task with active masking and other stuff. In the interactive case type R
    (or left mouse button on X11 displays) to define the first summit of the 
    support region, L (or middle mouse button) to move to the next summit, 
    and E (or right mouse button) to end the polygon definition. The polygon 
    will automatically be closed. A polygon is defined via a map. For proper 
    operation a bitmap color device is required.
      Defines the summits of a polygon, non-interactively using option 
    /FILE or with one to four parameters. It assumes equatorial coordinates
    in the case of CNV files and horizontal for MDB, EKH and SAA files.
    On option /FILE it reads the summit coordinates from a file, unless 
    parameter NEW is specified in which case it writes the current summit 
    coordinates to disk. All coordinates are relative to the image center. 

           /CURSOR           : use cursor to define polygon summits
           /DELETE           : remove a previously defined support
           /FILE             : read or write polygon summits to disk
           par1 .. par4        Four optional arguments define the frame of the
                               support region. Each argument is the distance
                               in arcsecs from the map center. With no argu-
                               ments it defines a rectangular region that 
                               extends up to 12 arcsec from the edges of a map.
           

1 VARIABLES

        NIC\VARIABLES Section [State] [Access]

    This command is used to enable/disable NIC variables of one of six
    sections. Additional information is available for each of the sec-
    tions. "*" enables all the sections. Parameter State is either ON 
    or OFF, default is ON. Parameter Access can either be READ (Default)
    or WRITE. Variables which are enabled by default are marked with a 
    [Def] in the sections. There is only READ access for some of these.
    Variables with a [No] still need to be implemented.

2 ANTENNA
                  NIC\VARIABLES ANTENNA [ON]|[OFF] [READ|WRITE]

Antenna Section ------------------------------------   Name of SIC variables 

telescope () =                     character*8  x 1    - TELESCOPE
site_altitude (m) =                real*4       x 1    - SITE_ALTITUDE
site_latitude (rad) =              real*4       x 1    - SITE_LATITUDE
site_longitude (rad) =             real*4       x 1    - SITE_LONGITUDE
antenna_efficiency () =            real*4       x 1    - ANTENNA_EFF     [No]
beam_efficiency (%) =              real*4       x 1    - BEAM_EFF        [No]
beam_azimuth (") =                 real*4       x 1    - BEAM_AZ        
beam_elevation (") =               real*4       x 1    - BEAM_EL        
forward_efficiency (%) =           real*4       x 1    - FORWARD_EFF     
az_zero_point_error (") =          real*4       x 1    - NULA
el_zero_point_error (") =          real*4       x 1    - NULE
collimation_error (") =            real*4       x 1    - COLSTAR
focus (mm) =                       real*4       x 6    - FOCUS           [No]
wobbler_device () =                integer*4    x 1    - WOBBLER_DEVICE
number_of_phases () =              integer*4    x 1    - NUMBER_PHASES   [No]
wobbler_period (s) =               real*4       x 1    - WOBBLER_PERIOD 
wobbler_throw (") =                real*4       x 1    - WOBBLER_THROW   [Def]
velocity_azimuth (deg/min) =       real*4       x 1    - VAZM            [Def]
subscan_elevation_step (") =       real*4       x 1    - SINT            [Def]
record_integration_time (s) =      real*4       x 1    - RECORD_TIME

2 BOLOMETER
                  NIC\VARIABLES BOLOMETER [ON]|[OFF] [READ|WRITE]

Bolometer Section ----------------------------------   Name of SIC variables

reference_channel () =             integer*4    x 1    - REF_CHAN
bolometer_gain () =                real*4       x 1    - BOLGAIN
channel_number () =                integer*4    x ?    - CHANNEL_NUMBER
channel_az_offset (") =            real*4       x ?    - CHAN_AZ_OFF
channel_el_offset (") =            real*4       x ?    - CHAN_EL_OFF
frequency (GHz) =                  real*4       x 1    - FREQUENCY
bandwidth_equivalent (GHz) =       real*4       x 1    - BANDWIDTH_EQUIV [No]

2 CALIBRATION
                  NIC\VARIABLES CALIBRATION [ON]|[OFF] [READ|WRITE]

Calibration Section --------------------------------   Name of SIC variables
					    
ambient_pressure (mbar) =          real*4       x 1    - AMB_PRES
ambient_temperature (c) =          real*4       x 1    - AMB_TEMP
humidity (%) =                     real*4       x 1    - AMB_HUMI
refraction (") =                   real*4       x 1    - REFRACTION
site_altitude (m) =                real*4       x 1    - SITE_ALTITUDE
water_vapour (mm) =                real*4       x 1    - WATER_VAPOUR    
atmospheric_temperature (c) =      real*4       x 1    - ATM_TEMP        
atmospheric_opacity () =           real*4       x 1    - OPACITY         [No]
chopper_temperature (K)=           real*4       x 1    - CHOPPER_TEMP    
cold_load_temperature (K) =        real*4       x 1    - COLD_LOAD_TEMP  [No]
sky_counts () =                    real*4       x 1    - SKY_COUNTS      [No]
system_temperature (K) =           real*4       x 1    - SYSTEM_TEMP     [No]
frequency (GHz) =                  real*4       x 1    - FREQUENCY
bandwidth_equivalent (GHz) =       real*4       x 1    - BANDWIDTH_EQUIV [No]
Jansky_per_Kelvin (Jy/K) =         real*4       x 1    - JY_PER_KELVIN   [No]
counts_per_Jansky (counts/Jy) =    real*4       x 1    - COUNTS_PER_JY   [Def]
counts_per_Kelvin (counts/K) =     real*4       x 1    - COUNTS_PER_K    
chopper_counts () =                integer*4    x ?    - CHOPPER_COUNTS  [No]
cold_load_counts () =              integer*4    x ?    - COLDLOAD_COUNTS [No]
channel_temperature (K) =          real*4       x ?    - CHAN_TEMP       [No]
channel_gain () =                  real*4       x ?    - CHAN_GAIN       
channel_rms () =                   real*4       x ?    - CHAN_RMS        [Def]
mean_gain_elevation_correction ()  real*4       x 1    - MEAN_GAIN_CORR

2 CALPOW
                  NIC\VARIABLES CALPOW [ON]|[OFF] [READ|WRITE] 

Total Power Section --------------------------------   Name of SIC variables
				
Total_power_signal () =            real*4       x ?    - CALPOW
Total_power_channel_number () =    integer*4    x ?    - CALPOW_NUMBER
Total_power_channel_flag () =      logical*4    x ?    - CALPOW_FLAG
Total_power_channel_gain () =      real*4       x ?    - CALPOW_GAIN
    
2 DATA
                  NIC\VARIABLES DATA [ON]|[OFF] [READ|WRITE]

Calibration Section --------------------------------   Name of SIC variables
					    
record_quality () =                integer*4    x ?    -                 [No]
record_update () =                 integer*4    x ?    -                 [No]
record_code () =                   integer*4    x ?    -                 [No]
local_sidereal_time (sec) =        real*4       x ?    - LST             [Def]
az_coordinate (deg) =              real*4       x ?    - AZ              [Def]
el_coordinate (deg) =              real*4       x ?    - EL              [Def]
scan_coordinate (see DAP descr) =  real*4       x ?    - SCAN_COORD
channel_counts () =                integer*4    x ?    - SIGNAL          [Def]
channel_counts_phase_one () =      integer*4    x ?    - PHASE1          [Def]
channel_counts_phase_two () =      integer*4    x ?    - PHASE2          [Def]

The scan_coordinate is available for the following scan types:

 FOCUS      (displacements along the optical axis in microns   = SCAN_COORD[1])
 ON-OFF     (relative offsets in Az and El in tenths of arcsec = SCAN_COORD[2])
 ON-THE-FLY (relative offsets in Az and El in tenths of arcsec = SCAN_COORD[2])
 POINTING   (relative offsets in Az and El in tenths of arcsec = SCAN_COORD[2])

2 FIT
                  NIC\VARIABLES FIT [ON]|[OFF] [READ|WRITE]

Fit Section - For POINTING and FOCUS ---------------   Name of SIC variables

pointing_fit_parameters            real*4       x 12   - FIT_POINTING
fitted_focus_position              real*4       x 1    - FIT_FOCUS

Fit Section - For one-beam fit ---------------------   Name of SIC variables

x_coord () (")                     real*4       x ?    - FIT_AZ or FIT_RA
y_coord () (")                     real*4       x ?    - FIT_EL or FIT_DEC
amplitude  (current unit)          real*4       x ?    - FIT_AMP
minor_axis_width  (")              real*4       x ?    - FIT_MINOR
major_axis_width  (")              real*4       x ?    - FIT_MAJOR
angle_from_xaxis  (deg)            real*4       x ?    - FIT_ANGLE
channel_az_offset  (")             real*4       x ?    - FIT_AZ_OFF
channel_el_offset  (")             real*4       x ?    - FIT_EL_OFF
 
Fit Section - For double-beam fit ------------------   Name of SIC variables

x_coord_positiv_beam () (")        real*4       x ?    - FIT_AZ_POS
y_coord_positiv_beam () (")        real*4       x ?    - FIT_EL_POS
x_coord_negativ_beam () (")        real*4       x ?    - FIT_AZ_NEG
y_coord_negativ_beam () (")        real*4       x ?    - FIT_EL_NEG
amp_positiv_beam  (current unit)   real*4       x ?    - FIT_AMP_POS
amp_negativ_beam  (current unit)   real*4       x ?    - FIT_AMP_NEG
width (")                          real*4       x ?    - FIT_FWHM
channel_az_offset  (")             real*4       x ?    - FIT_AZ_OFF
channel_el_offset  (")             real*4       x ?    - FIT_EL_OFF

2 FLAG
                  NIC\VARIABLES FLAG [ON]|[OFF] [READ|WRITE]

Data Section ---------------------------------------   Name of SIC variables
					    
amplifier_flag () =                logical      x 1    - AMPLIFIER_FLAG
channel_gain_flag () =             logical      x 1    - GAINC_FLAG
atmospheric_opacity_flag () =      logical      x 1    - OPACITY_FLAG
noise_removal_flag () =            logical      x 1    - NOISE_FLAG
spike_removal_flag () =            integer      x ?    - DESPIKE_FLAG
channel_flag () =                  integer      x ?    - CHAN_FLAG
gain_to_elevation_correction () =  real*4       x 1    - GAINE_FLAG

2 HEADER

                  NIC\VARIABLES HEADER [ON]|[OFF] [READ|WRITE]

         General information related variables

Header Section -------------------------------------   Name of SIC variables

project_code () =                  character*8  x 1    -                 [No]
source_name () =                   character*8  x 1    - SOURCE          [Def]
source_lambda (deg) =              real*8       x 1    - LAMBDA          [Def]
source_beta (deg) =                real*8       x 1    - BETA            [Def]
source_flux (Jy) =                 real*4       x 1    - FLUX            [Def]
field_center () =                  character*25 x 1    - FIELD_CENTER
telescope () =                     character*8  x 1    - TELESCOPE
site_altitude (m) =                real*4       x 1    - SITE_ALTITUDE
site_latitude (rad) =              real*8       x 1    - SITE_LATITUDE
site_longitude (rad) =             real*8       x 1    - SITE_LONGITUDE
data_format () =                   integer*4    x 1    - DATA_FORMAT 
data_size () =                     integer*4    x 1    - DATA_SIZE       [No]
data_address () =                  integer*4    x 1    - DATA_SHMID 
onoff_mode () =                    integer*4    x 1    - ONOFF_MODE      [Def]
scan_type () =                     integer*4    x 1    - SCAN_TYPE       [Def]
scan_number () =                   integer*4    x 1    - SCAN            [Def]
number_of_subscans () =            integer*4    x 1    - NSUBSCAN        [Def]
number_of_records () =             integer*4    x ?    - NRECORD         [Def]
records_in_subscan () =            integer*4    x ?    - NSUBREC         [Def]
number_of_selected_scans () =      integer*4    x 1    - FOUND           [Def]
coordinate_system () =             integer*4    x 1    - COORD_SYST
date_of_reduction () =             integer*4    x 1    - DATE_REDUCTION  [No]
date_of_observation () =           integer*4    x 1    - DATE_OBSERV
epoch (yrs) =                      real*4       x 1    - EPOCH
skew (arcsec) =                    real*4       x 1    - SKEW
name_of_reducer () =               character*8  x 1    - NAME_OF_REDUCER [No]
number_of_available_channels () =  integer*4    x 1    - NCHAN           [Def]
number_of_total_power_channels ()  integer*4    x 1    - NTOTPOW         [Def]

Additional parameter from the NMB file format are:

number_of_dumps () =               integer*4    x 1    - NBI
longitude_offset (deg) =           real*4       x 1    - OLAM            
drift_velocity (deg/min) =         real*4       x 1    - VLAM
latitude_offset (deg) =            real*4       x 1    - OBET
telescope_azimuth (deg) =          real*4       x 1    - SAZM
offset_azimuth_to_start (deg) =    real*4       x 1    - OAZM
scan_azimuth_velocity (deg/min) =  real*4       x 1    - VAZM
offset_elevation_to_start (deg) =  real*4       x 1    - OELV
scan_elevation_velocity (deg/min)  real*4       x 1    - VELV
subscan_spacing_elevation (") =    real*4       x 1    - SINT
subscan_azimuth_width (deg) =      real*4       x 1    - DAZM
scanning_method () =               integer*4    x 1    - ISRP2

2 SKYDIP
                  NIC\VARIABLES SKYDIP [ON]|[OFF] [READ|WRITE] 

Skydip Section -------------------------------------   Name of SIC variables
					    
frequency (GHz) =                  real*4       x 1    - FREQUENCY
bandwidth_equivalent (GHz) =       real*4       x 1    - BANDWIDTH_EQUIV
number_of_skydips () =             integer*4    x 1    - NSKYDIP
skydip_time (UT in yrs) =          real*8       x ?    - SKYDIP_TIME 
skydip_opacity () =                real*4       x ?    - SKYDIP_OPACITY
scan_opacity () =                  real*4       x 1    - SCAN_OPACITY

1 VERSION

    Prints out version number and date of the release you are currently
    using.

1 END
